import React, { Component, PropTypes } from 'react'
import DeferredComponent, { DeferredComponentDecorator } from '../src/DeferredComponent.jsx'

class ExampleComponent extends Component {
  static propTypes = {
    name: PropTypes.string.isRequired
  }

  render () {
    const { name } = this.props
    return <div>I am an {name}.</div>
  }
}

@DeferredComponentDecorator
class ExampleDecoratedComponent extends Component {
  static propTypes = {
    name: PropTypes.string.isRequired
  }

  render () {
    const { name } = this.props
    return <div>I am an {name}.</div>
  }
}

export default class ButtonExample extends Component {
  render () {
    return (
      <div {...this.props}>
        <h4>DeferredComponent &amp; DeferredComponentDecorator</h4>
        <DeferredComponent
          wrappedComponent={ExampleComponent}
          name='Example Component' />
        <DeferredComponent
          wrappedComponent={ExampleComponent}
          someRequiredPropery={undefined} />
        <ExampleDecoratedComponent name='Example Decorated Component' />
        <ExampleDecoratedComponent someRequiredPropery={undefined} />
      </div>
    )
  }
}
